classification
Title: Python3.7.5 crashes on OSX with my django project
Type: crash Stage: resolved
Components: macOS Versions: Python 3.7
process
Status: closed Resolution: third party
Dependencies: Superseder:
Assigned To: Nosy List: karolyi, ned.deily, ronaldoussoren
Priority: normal Keywords:

Created on 2019-11-15 16:47 by karolyi, last changed 2019-11-17 11:11 by karolyi. This issue is now closed.

Messages (11)
msg356689 - (view) Author: László Károlyi (karolyi) Date: 2019-11-15 16:47
Hey,

I have a huge Django project that starts up fine with the dev server on Linux and in production that is also Linux. Whenever I try to start it on my OSX, the python process crashes with a SIGABRT and I get a crash window from OSX.

I use homebrew with the latest packages and python3.7.5 is now compiled from source, to avoid dependency problems.

Here's the log:
Process:               Python [85125]
Path:                  /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/Resources/Python.app/Contents/MacOS/Python
Identifier:            Python
Version:               3.7.5 (3.7.5)
Code Type:             X86-64 (Native)
Parent Process:        fish [1857]
Responsible:           Terminal [1732]
User ID:               501

Date/Time:             2019-11-15 17:39:46.178 +0100
OS Version:            Mac OS X 10.15.1 (19B88)
Report Version:        12
Anonymous UUID:        CC50B63E-FBC1-6461-576B-EE6AF1E52EFE

Sleep/Wake UUID:       A2774262-4258-4B95-8AAF-642CDEF9014E

Time Awake Since Boot: 280000 seconds
Time Since Wake:       710 seconds

System Integrity Protection: enabled

Crashed Thread:        0  Dispatch queue: com.apple.main-thread

Exception Type:        EXC_CRASH (SIGABRT)
Exception Codes:       0x0000000000000000, 0x0000000000000000
Exception Note:        EXC_CORPSE_NOTIFY

Termination Signal:    Abort trap: 6
Termination Reason:    Namespace SIGNAL, Code 0x6
Terminating Process:   Python [85125]

Thread 0 Crashed:: Dispatch queue: com.apple.main-thread
0   libsystem_kernel.dylib        	0x00007fff67936e1a __kill + 10
1   org.python.python             	0x0000000100ab0614 os_kill + 57
2   org.python.python             	0x00000001009d910c _PyMethodDef_RawFastCallKeywords + 488
3   org.python.python             	0x00000001009d8698 _PyCFunction_FastCallKeywords + 41
4   org.python.python             	0x0000000100a6cfd0 call_function + 628
5   org.python.python             	0x0000000100a65fab _PyEval_EvalFrameDefault + 6767
6   org.python.python             	0x00000001009d8a6c function_code_fastcall + 106
7   org.python.python             	0x0000000100a6d03d call_function + 737
8   org.python.python             	0x0000000100a66046 _PyEval_EvalFrameDefault + 6922
9   org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
10  org.python.python             	0x00000001009d8660 _PyFunction_FastCallKeywords + 212
11  org.python.python             	0x0000000100a6d03d call_function + 737
12  org.python.python             	0x0000000100a65fab _PyEval_EvalFrameDefault + 6767
13  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
14  org.python.python             	0x00000001009d82d8 _PyFunction_FastCallDict + 444
15  org.python.python             	0x00000001009d93df _PyObject_Call_Prepend + 131
16  org.python.python             	0x00000001009d87a5 PyObject_Call + 136
17  org.python.python             	0x0000000100a6628f _PyEval_EvalFrameDefault + 7507
18  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
19  org.python.python             	0x00000001009d82d8 _PyFunction_FastCallDict + 444
20  org.python.python             	0x00000001009d93df _PyObject_Call_Prepend + 131
21  org.python.python             	0x00000001009d87a5 PyObject_Call + 136
22  org.python.python             	0x0000000100a6628f _PyEval_EvalFrameDefault + 7507
23  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
24  org.python.python             	0x00000001009d82d8 _PyFunction_FastCallDict + 444
25  org.python.python             	0x00000001009d93df _PyObject_Call_Prepend + 131
26  org.python.python             	0x00000001009d87a5 PyObject_Call + 136
27  org.python.python             	0x0000000100a6628f _PyEval_EvalFrameDefault + 7507
28  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
29  org.python.python             	0x00000001009d82d8 _PyFunction_FastCallDict + 444
30  org.python.python             	0x00000001009d93df _PyObject_Call_Prepend + 131
31  org.python.python             	0x00000001009d87a5 PyObject_Call + 136
32  org.python.python             	0x0000000100a6628f _PyEval_EvalFrameDefault + 7507
33  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
34  org.python.python             	0x00000001009d82d8 _PyFunction_FastCallDict + 444
35  org.python.python             	0x00000001009d93df _PyObject_Call_Prepend + 131
36  org.python.python             	0x00000001009d87a5 PyObject_Call + 136
37  org.python.python             	0x0000000100a6628f _PyEval_EvalFrameDefault + 7507
38  org.python.python             	0x00000001009d8a6c function_code_fastcall + 106
39  org.python.python             	0x0000000100a6d03d call_function + 737
40  org.python.python             	0x0000000100a65f92 _PyEval_EvalFrameDefault + 6742
41  org.python.python             	0x00000001009d8a6c function_code_fastcall + 106
42  org.python.python             	0x0000000100a6d03d call_function + 737
43  org.python.python             	0x0000000100a65f92 _PyEval_EvalFrameDefault + 6742
44  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
45  org.python.python             	0x00000001009d8660 _PyFunction_FastCallKeywords + 212
46  org.python.python             	0x0000000100a6d03d call_function + 737
47  org.python.python             	0x0000000100a66046 _PyEval_EvalFrameDefault + 6922
48  org.python.python             	0x0000000100a6d831 _PyEval_EvalCodeWithName + 1698
49  org.python.python             	0x0000000100a64499 PyEval_EvalCode + 51
50  org.python.python             	0x0000000100a928ac run_mod + 54
51  org.python.python             	0x0000000100a918df PyRun_FileExFlags + 160
52  org.python.python             	0x0000000100a90f96 PyRun_SimpleFileExFlags + 270
53  org.python.python             	0x0000000100aa97a6 pymain_main + 5445
54  org.python.python             	0x0000000100aa9e14 _Py_UnixMain + 56
55  libdyld.dylib                 	0x00007fff677e72e5 start + 1

Thread 0 crashed with X86 Thread State (64-bit):
  rax: 0x0000000000000000  rbx: 0x0000000000000000  rcx: 0x00007ffeef243cc8  rdx: 0x0000000000000000
  rdi: 0x0000000000014c85  rsi: 0x0000000000000006  rbp: 0x00007ffeef243cf0  rsp: 0x00007ffeef243cc8
   r8: 0x00007ffeef243ca0   r9: 0x00007ffeef243ab0  r10: 0xdc0cf600294c00e7  r11: 0x0000000000000202
  r12: 0x0000000000000002  r13: 0x0000000100b7dcd0  r14: 0x00000001059807b8  r15: 0x0000000000000002
  rip: 0x00007fff67936e1a  rfl: 0x0000000000000202  cr2: 0x0000000100d10cd0
  
Logical CPU:     0
Error Code:      0x02000025
Trap Number:     133


Binary Images:
       0x1009b9000 -        0x1009bafff +org.python.python (3.7.5 - 3.7.5) <B5F1E051-7FCA-3D74-951A-BE7A9F61FC71> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/Resources/Python.app/Contents/MacOS/Python
       0x1009be000 -        0x100b41ff7 +org.python.python (3.7.5, [c] 2001-2019 Python Software Foundation. - 3.7.5) <8F5D3863-C59D-3482-9562-E638BBE51C7B> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/Python
       0x100c25000 -        0x100c2dffb +libintl.8.dylib (0) <CD236902-DB50-39BB-86BB-E9F0D22E5649> /usr/local/opt/gettext/lib/libintl.8.dylib
       0x100f3f000 -        0x100f40fff +_heapq.cpython-37m-darwin.so (0) <D9ED900B-8F58-39EA-9B28-6F5B4F9B8A4C> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_heapq.cpython-37m-darwin.so
       0x100f91000 -        0x100f95ff3 +math.cpython-37m-darwin.so (0) <F10DD1FB-1020-3E26-99BE-481CCE0E591E> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/math.cpython-37m-darwin.so
       0x100f9c000 -        0x100fa7ffb +_datetime.cpython-37m-darwin.so (0) <0141A985-844A-358F-8F09-12AB8D1F1028> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_datetime.cpython-37m-darwin.so
       0x100ff0000 -        0x100ff1fff +_posixsubprocess.cpython-37m-darwin.so (0) <FB0FC9AD-8D80-31A2-B979-41723DBBA055> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_posixsubprocess.cpython-37m-darwin.so
       0x100ff5000 -        0x100ff7fff +select.cpython-37m-darwin.so (0) <579B856F-9A34-3A9B-9EAA-D64140E5FE72> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/select.cpython-37m-darwin.so
       0x1010bd000 -        0x1010c0fff +_struct.cpython-37m-darwin.so (0) <A12A931E-0887-30C0-9870-7A549EC9C228> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_struct.cpython-37m-darwin.so
       0x101110000 -        0x10113dff7 +_decimal.cpython-37m-darwin.so (0) <63A6ED2C-C2C5-30C9-B163-7F5A7F0026F7> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_decimal.cpython-37m-darwin.so
       0x1011d0000 -        0x1011d0fff +_opcode.cpython-37m-darwin.so (0) <4204DF40-4EBD-3629-8F28-4794F08FDA1D> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_opcode.cpython-37m-darwin.so
       0x101214000 -        0x101217fff +zlib.cpython-37m-darwin.so (0) <E522AD8C-8917-3960-B8CF-DD5CA336D3C3> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/zlib.cpython-37m-darwin.so
       0x10121d000 -        0x10121efff +_bz2.cpython-37m-darwin.so (0) <8B9606FA-4E0E-36E5-9A85-249AE34FF8B5> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_bz2.cpython-37m-darwin.so
       0x101223000 -        0x101226ff7 +_lzma.cpython-37m-darwin.so (0) <94313799-237B-3D45-9F65-797A8AC7BD80> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_lzma.cpython-37m-darwin.so
       0x10122c000 -        0x101247ff7 +liblzma.5.dylib (0) <423B98CF-7AF0-325D-AB6A-3F44B56B90C2> /usr/local/opt/xz/lib/liblzma.5.dylib
       0x10124d000 -        0x10124efff +grp.cpython-37m-darwin.so (0) <68DC3970-83D1-3E67-84DD-9129D32657C9> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/grp.cpython-37m-darwin.so
       0x101292000 -        0x101295fff +_hashlib.cpython-37m-darwin.so (0) <00BE40D9-3084-3E6A-8639-DC06F12B3E67> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_hashlib.cpython-37m-darwin.so
       0x10129a000 -        0x1012e8fff +libssl.1.1.dylib (0) <6E8C5906-2EB3-3F95-9B6D-2C509049EF4C> /usr/local/opt/openssl@1.1/lib/libssl.1.1.dylib
       0x101311000 -        0x1014ac917 +libcrypto.1.1.dylib (0) <67579E42-401A-3775-B5C6-518E58CC8032> /usr/local/opt/openssl@1.1/lib/libcrypto.1.1.dylib
       0x10153e000 -        0x101543ffb +_blake2.cpython-37m-darwin.so (0) <768F6BA7-0CAF-3488-9A22-4F185C5EFA7C> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_blake2.cpython-37m-darwin.so
       0x101548000 -        0x101558fff +_sha3.cpython-37m-darwin.so (0) <2E31BBA1-CADF-34C9-9863-8A630611FD24> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_sha3.cpython-37m-darwin.so
       0x10155e000 -        0x10155efff +_bisect.cpython-37m-darwin.so (0) <387632CC-41B1-3ED6-866D-3C3E44145A82> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_bisect.cpython-37m-darwin.so
       0x101562000 -        0x101563ffb +_random.cpython-37m-darwin.so (0) <E8386EAF-C75D-3EAD-92CD-B7EFC9C172A8> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_random.cpython-37m-darwin.so
       0x101727000 -        0x101727fff +_uuid.cpython-37m-darwin.so (0) <8FBE1B4E-252D-321B-A570-D67BEB1C177A> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_uuid.cpython-37m-darwin.so
       0x10172b000 -        0x10172eff7 +binascii.cpython-37m-darwin.so (0) <7A5E1952-82A8-3DB3-9666-7CF04FC52505> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/binascii.cpython-37m-darwin.so
       0x101733000 -        0x101738fff +_json.cpython-37m-darwin.so (0) <284E3EB4-B1A6-3B6A-BD92-7959C77FA60B> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_json.cpython-37m-darwin.so
       0x10177d000 -        0x10187bfff +unicodedata.cpython-37m-darwin.so (0) <4B82ABA9-EFEC-34F0-B899-8958FAB73427> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/unicodedata.cpython-37m-darwin.so
       0x1018c1000 -        0x1018c9ffb +_socket.cpython-37m-darwin.so (0) <AEF9A41E-A27B-3F21-AEE8-3B49603975A4> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_socket.cpython-37m-darwin.so
       0x101b26000 -        0x101b32ffb +_pickle.cpython-37m-darwin.so (0) <D1B91A34-82E4-3534-B358-6166655CB593> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_pickle.cpython-37m-darwin.so
       0x101b3d000 -        0x101b3efff +_speedups.cpython-37m-darwin.so (???) <E9B73517-643A-3FD1-8B18-600595CA2B65> /Users/USER/*/_speedups.cpython-37m-darwin.so
       0x101c73000 -        0x101c80fff +_ssl.cpython-37m-darwin.so (0) <903F2FB6-CCE1-316C-8EA1-15EDF0BF629F> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_ssl.cpython-37m-darwin.so
       0x101d0f000 -        0x101d0ffff +_contextvars.cpython-37m-darwin.so (0) <46E84186-1CB7-3F54-901C-66BA82573EC9> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_contextvars.cpython-37m-darwin.so
       0x101d13000 -        0x101d18fff +_asyncio.cpython-37m-darwin.so (0) <1E7DA7FE-894B-3934-B049-6FCBBEF7900C> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_asyncio.cpython-37m-darwin.so
       0x101e62000 -        0x101eb4ff7 +_imaging.cpython-37m-darwin.so (0) <4085C13E-239C-3175-B82E-F5CFE26E4116> /Users/USER/*/_imaging.cpython-37m-darwin.so
       0x101edb000 -        0x101f12fff +libjpeg.9.dylib (0) <5031EBB1-CCBE-37BC-B348-9A899B06AFDB> /Users/USER/*/libjpeg.9.dylib
       0x101f22000 -        0x101f98ffb +libopenjp2.2.3.1.dylib (0) <070B3635-9516-3171-8E04-6F645281C96B> /Users/USER/*/libopenjp2.2.3.1.dylib
       0x101fa3000 -        0x101fbeff7 +libz.1.2.11.dylib (0) <8F57D771-E0DD-3DA4-8241-A90A4B0AE451> /Users/USER/*/libz.1.2.11.dylib
       0x101fc2000 -        0x10204eff3 +libtiff.5.dylib (0) <5A576A29-DE0D-3A70-9D24-F9FFDCA7E14D> /Users/USER/*/libtiff.5.dylib
       0x102060000 -        0x102090fff +liblzma.5.dylib (0) <4E0649AF-77F8-3889-B300-B37ED7E6F40F> /Users/USER/*/liblzma.5.dylib
       0x102118000 -        0x10211dffb +array.cpython-37m-darwin.so (0) <F802200C-DE02-364B-B629-2B1EF8F5B6D4> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/array.cpython-37m-darwin.so
       0x1021e5000 -        0x1021e7fff +mmap.cpython-37m-darwin.so (0) <897B39B2-4A4B-3951-85DE-B7ACBA9CCAEF> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/mmap.cpython-37m-darwin.so
       0x10222c000 -        0x10222dfff +_webp.cpython-37m-darwin.so (0) <47BDF1B7-C4AE-3797-9ABC-60E498C316C5> /Users/USER/*/_webp.cpython-37m-darwin.so
       0x102232000 -        0x1022d5fff +libwebp.7.dylib (0) <D4ECF019-B9CF-3292-AFCB-601122DDC89E> /Users/USER/*/libwebp.7.dylib
       0x1022eb000 -        0x1022f4fff +libwebpmux.3.dylib (0) <A11340E3-D08E-3C8A-B6F1-38C1A57E3926> /Users/USER/*/libwebpmux.3.dylib
       0x1022f9000 -        0x1022fdff3 +libwebpdemux.2.dylib (0) <9A6F6420-BF33-3C19-91D1-E44FA8A60016> /Users/USER/*/libwebpdemux.2.dylib
       0x102400000 -        0x102401fff +fcntl.cpython-37m-darwin.so (0) <B08A0084-F70D-32E5-8F3D-973519CB8564> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/fcntl.cpython-37m-darwin.so
       0x102506000 -        0x102507fff +termios.cpython-37m-darwin.so (0) <1C441858-CD7C-3511-B39E-EED449AF91D1> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/termios.cpython-37m-darwin.so
       0x10268b000 -        0x10268cfff +_queue.cpython-37m-darwin.so (0) <13D55382-1B48-3A23-BECE-AA0F2D58EC85> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_queue.cpython-37m-darwin.so
       0x102a51000 -        0x102a54ffb +_zope_interface_coptimizations.cpython-37m-darwin.so (0) <FE1BC506-E2CF-3985-BB6D-7AA3BB508AD0> /Users/USER/*/_zope_interface_coptimizations.cpython-37m-darwin.so
       0x102b2c000 -        0x102b2dfff +_scproxy.cpython-37m-darwin.so (0) <51EE48B8-345C-36E6-BBC5-61D81C314FF7> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_scproxy.cpython-37m-darwin.so
       0x102c71000 -        0x102c80fff +_ctypes.cpython-37m-darwin.so (0) <E4627CC2-6724-3E16-8671-FC1D19DBFFAD> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_ctypes.cpython-37m-darwin.so
       0x10310d000 -        0x10310eff3 +_constant_time.abi3.so (0) <96047CA2-343F-3C1A-A7FC-D5E1A0B3EB93> /Users/USER/*/_constant_time.abi3.so
       0x103111000 -        0x10312bff7 +_cffi_backend.cpython-37m-darwin.so (0) <34A2EC26-072B-399C-9841-6AE90C845EA6> /Users/USER/*/_cffi_backend.cpython-37m-darwin.so
       0x103202000 -        0x103221ffb +pyexpat.cpython-37m-darwin.so (0) <59BC1282-62AE-3A64-BE62-F1A49D627801> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/pyexpat.cpython-37m-darwin.so
       0x10353e000 -        0x103549fff +_curses.cpython-37m-darwin.so (0) <9BDFF609-073B-3058-8CFF-BF03681057D4> /usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/lib-dynload/_curses.cpython-37m-darwin.so
       0x10381b000 -        0x10381ffff +_rl_accel.cpython-37m-darwin.so (???) <0946EBBB-1EA5-31E1-8BDF-80FB2562F609> /Users/USER/*/_rl_accel.cpython-37m-darwin.so
       0x103d9d000 -        0x103ea7ffb +_xapian.cpython-37m-darwin.so (0) <563380C8-F629-36E3-90F4-AF5F019D98B2> /Users/USER/*/_xapian.cpython-37m-darwin.so
       0x103f1b000 -        0x1040c3ffb +libxapian.30.dylib (0) <0CAAC96B-A84A-3B91-B33B-7FD8B4619C52> /Users/USER/*/libxapian.30.dylib
       0x1042aa000 -        0x1042aeff3 +_mysql.cpython-37m-darwin.so (0) <E2FE87E2-12E6-3180-B796-42F8624CB13B> /Users/USER/*/_mysql.cpython-37m-darwin.so
       0x1042ba000 -        0x1042dfff7 +libmariadb.3.dylib (0) <FDD5A5C4-184D-3E24-AF99-828EB6B05F8B> /usr/local/opt/mariadb/lib/libmariadb.3.dylib
       0x1042f6000 -        0x104334fff +libssl.1.0.0.dylib (0) <72760F74-3638-3B29-BE57-203A9FFC2665> /usr/local/opt/openssl/lib/libssl.1.0.0.dylib
       0x104351000 -        0x1044a3f77 +libcrypto.1.0.0.dylib (0) <05A68FDC-631D-3FB6-BB02-507CF6E68F43> /usr/local/opt/openssl/lib/libcrypto.1.0.0.dylib
       0x1049be000 -        0x1049c3ff7 +hiredis.cpython-37m-darwin.so (???) <05C8B52F-6DE8-3742-942E-4DAA00EF40CE> /Users/USER/*/hiredis.cpython-37m-darwin.so
       0x104b48000 -        0x104fadfff +etree.cpython-37m-darwin.so (???) <3886C02D-DC32-3A51-93EE-1C2E3C6B0347> /Users/USER/*/etree.cpython-37m-darwin.so
       0x1051cd000 -        0x1051edfff +_elementpath.cpython-37m-darwin.so (???) <429F29F9-50B3-33CC-9E45-AEDA036695FB> /Users/USER/*/_elementpath.cpython-37m-darwin.so
       0x105208000 -        0x105209fff +_rjsmin.cpython-37m-darwin.so (0) <3F5A1F2F-1640-3709-8AB3-8FC933B5A009> /Users/USER/*/_rjsmin.cpython-37m-darwin.so
       0x10564e000 -        0x105655ff7 +_speedups.cpython-37m-darwin.so (0) <05FB9B57-657C-3F07-BC3C-790E85B8E84F> /Users/USER/*/_speedups.cpython-37m-darwin.so
       0x10883c000 -        0x1088ccb5f  dyld (733.6) <DAFEA246-2F9A-3DCB-A37C-4246D4F92770> /usr/lib/dyld
    0x7fff2bed6000 -     0x7fff2bed6fff  com.apple.Accelerate (1.11 - Accelerate 1.11) <71987428-FB54-3F6E-8699-DCC8BADC7D01> /System/Library/Frameworks/Accelerate.framework/Versions/A/Accelerate
    0x7fff2beee000 -     0x7fff2c795ff7  com.apple.vImage (8.1 - 524.2) <6857F772-73E8-348B-9976-3BA0E5570FAA> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vImage.framework/Versions/A/vImage
    0x7fff2c796000 -     0x7fff2c92ffef  libBLAS.dylib (1303) <5DDE58FD-747B-34CA-81A2-7BCDFF3DD291> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBLAS.dylib
    0x7fff2c930000 -     0x7fff2cb36fff  libBNNS.dylib (144.40.3) <8FBAAA82-90E2-3EDD-A96B-8D2139DCA619> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libBNNS.dylib
    0x7fff2cb38000 -     0x7fff2ceecfff  libLAPACK.dylib (1303) <7E61073B-DB96-3AE8-B188-5FBB20479A8C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLAPACK.dylib
    0x7fff2ceed000 -     0x7fff2cf02ff8  libLinearAlgebra.dylib (1303) <A5695D91-D87C-3E66-A470-16A166D8B43B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libLinearAlgebra.dylib
    0x7fff2cf03000 -     0x7fff2cf08ff3  libQuadrature.dylib (7) <7EE59014-8FC5-3369-868B-8A87E590BF78> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libQuadrature.dylib
    0x7fff2cf09000 -     0x7fff2cf79fff  libSparse.dylib (103) <093F97A4-47DE-38DF-BB7A-FF5A3FB0BB3B> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparse.dylib
    0x7fff2cf7a000 -     0x7fff2cf8cff7  libSparseBLAS.dylib (1303) <D092E493-0159-3F5E-860B-536B14B6E05C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libSparseBLAS.dylib
    0x7fff2cf8d000 -     0x7fff2d11ffc7  libvDSP.dylib (735) <1D607D95-D349-39C4-B97A-EFD73AC176A2> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvDSP.dylib
    0x7fff2d120000 -     0x7fff2d29aff7  libvMisc.dylib (735) <C204E090-98AE-35E8-822A-EAB943739616> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/libvMisc.dylib
    0x7fff2d29b000 -     0x7fff2d29bfff  com.apple.Accelerate.vecLib (3.11 - vecLib 3.11) <4E0286A3-D4ED-3A93-A760-77533501A59C> /System/Library/Frameworks/Accelerate.framework/Versions/A/Frameworks/vecLib.framework/Versions/A/vecLib
    0x7fff2e9d2000 -     0x7fff2ed49ffb  com.apple.CFNetwork (1120 - 1120) <5EA797F3-2F7A-3E0C-8DBC-DBE145004EC5> /System/Library/Frameworks/CFNetwork.framework/Versions/A/CFNetwork
    0x7fff30220000 -     0x7fff3069fff7  com.apple.CoreFoundation (6.9 - 1673.126) <09EB9DD0-25BC-3730-9716-FE231CAF2C70> /System/Library/Frameworks/CoreFoundation.framework/Versions/A/CoreFoundation
    0x7fff31632000 -     0x7fff31632fff  com.apple.CoreServices (1069.11 - 1069.11) <C8F86BE7-AAED-30A6-BBC2-550446137E7C> /System/Library/Frameworks/CoreServices.framework/Versions/A/CoreServices
    0x7fff31633000 -     0x7fff316b8ff7  com.apple.AE (838 - 838) <3301AF1B-D178-306A-9641-B57AA03FB1BE> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/AE.framework/Versions/A/AE
    0x7fff316b9000 -     0x7fff3199afff  com.apple.CoreServices.CarbonCore (1217 - 1217) <FAA1467B-6D39-3EBE-9810-A4DF49478F10> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/CarbonCore.framework/Versions/A/CarbonCore
    0x7fff3199b000 -     0x7fff319e8ffd  com.apple.DictionaryServices (1.2 - 323) <C1798F09-36D3-3C8E-AF72-A3DE63962AF1> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/DictionaryServices.framework/Versions/A/DictionaryServices
    0x7fff319e9000 -     0x7fff319f1fff  com.apple.CoreServices.FSEvents (1268.40.5 - 1268.40.5) <9BB76885-7CD7-3369-B759-33F7E5DA5392> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/FSEvents.framework/Versions/A/FSEvents
    0x7fff319f2000 -     0x7fff31c2bff0  com.apple.LaunchServices (1069.11 - 1069.11) <88F59BD5-412A-35EE-AD45-E6BF80B24891> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/LaunchServices.framework/Versions/A/LaunchServices
    0x7fff31c2c000 -     0x7fff31cc4ff9  com.apple.Metadata (10.7.0 - 2074.4) <028AC15A-35B7-3E1F-BCDC-470C8EA0CA09> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/Metadata.framework/Versions/A/Metadata
    0x7fff31cc5000 -     0x7fff31cf2ff7  com.apple.CoreServices.OSServices (1069.11 - 1069.11) <A667F007-A599-3869-99F7-1F8460011015> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/OSServices.framework/Versions/A/OSServices
    0x7fff31cf3000 -     0x7fff31d5afff  com.apple.SearchKit (1.4.1 - 1.4.1) <F0A931E4-0C31-36BA-8DD7-01FDF9813FB7> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SearchKit.framework/Versions/A/SearchKit
    0x7fff31d5b000 -     0x7fff31d7fffd  com.apple.coreservices.SharedFileList (131 - 131) <62C3066A-3991-313F-AE2D-75B2B5934D52> /System/Library/Frameworks/CoreServices.framework/Versions/A/Frameworks/SharedFileList.framework/Versions/A/SharedFileList
    0x7fff325d0000 -     0x7fff325d6ff7  com.apple.DiskArbitration (2.7 - 2.7) <A3D2B0A0-3C72-3893-87BF-D45FE398A905> /System/Library/Frameworks/DiskArbitration.framework/Versions/A/DiskArbitration
    0x7fff32908000 -     0x7fff32ccfff4  com.apple.Foundation (6.9 - 1673.126) <470C2315-3047-39BB-BB6B-2C620087091C> /System/Library/Frameworks/Foundation.framework/Versions/C/Foundation
    0x7fff33045000 -     0x7fff330e8ffb  com.apple.framework.IOKit (2.0.2 - 1726.41.1) <FBB4A97B-D7CF-3B8C-932D-672343D63260> /System/Library/Frameworks/IOKit.framework/Versions/A/IOKit
    0x7fff36951000 -     0x7fff3695dffe  com.apple.NetFS (6.0 - 4.0) <5C3C3672-2549-316E-9AC6-A1CFDCD16E9C> /System/Library/Frameworks/NetFS.framework/Versions/A/NetFS
    0x7fff39523000 -     0x7fff3953ffff  com.apple.CFOpenDirectory (10.15 - 220.40.1) <AA81FC34-A7F6-3DA2-A275-B34F75099C7B> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/Frameworks/CFOpenDirectory.framework/Versions/A/CFOpenDirectory
    0x7fff39540000 -     0x7fff3954bfff  com.apple.OpenDirectory (10.15 - 220.40.1) <ECFA2FFB-D5B6-3916-96F7-9F3A1EB1E534> /System/Library/Frameworks/OpenDirectory.framework/Versions/A/OpenDirectory
    0x7fff3c891000 -     0x7fff3cbd7ff6  com.apple.security (7.0 - 59306.41.2) <FB3774D5-C940-35FB-960A-86253A01BDAE> /System/Library/Frameworks/Security.framework/Versions/A/Security
    0x7fff3cbd8000 -     0x7fff3cc60ff7  com.apple.securityfoundation (6.0 - 55236) <6482C994-4DB4-320D-8FD4-50C998EA8856> /System/Library/Frameworks/SecurityFoundation.framework/Versions/A/SecurityFoundation
    0x7fff3ccba000 -     0x7fff3ccbeff8  com.apple.xpc.ServiceManagement (1.0 - 1) <2B80E13A-AFFC-355A-AA82-CCDEF4718E66> /System/Library/Frameworks/ServiceManagement.framework/Versions/A/ServiceManagement
    0x7fff3da4b000 -     0x7fff3dab5ff7  com.apple.SystemConfiguration (1.19 - 1.19) <A52A533D-DA25-3607-A18E-CA7C539E1C52> /System/Library/Frameworks/SystemConfiguration.framework/Versions/A/SystemConfiguration
    0x7fff41811000 -     0x7fff418d5fef  com.apple.APFS (1412.41.1 - 1412.41.1) <0319F563-43AE-3F80-9107-7F0056E726DB> /System/Library/PrivateFrameworks/APFS.framework/Versions/A/APFS
    0x7fff43523000 -     0x7fff43532fdf  com.apple.AppleFSCompression (119 - 1.0) <7EEDBF8A-8812-33D6-A5B0-F7D36825EE73> /System/Library/PrivateFrameworks/AppleFSCompression.framework/Versions/A/AppleFSCompression
    0x7fff44cd5000 -     0x7fff44cdeff3  com.apple.coreservices.BackgroundTaskManagement (1.0 - 104) <5E2B9000-49D6-3BFA-97F1-3B47A8A7418D> /System/Library/PrivateFrameworks/BackgroundTaskManagement.framework/Versions/A/BackgroundTaskManagement
    0x7fff47a56000 -     0x7fff47a66ff3  com.apple.CoreEmoji (1.0 - 107) <8D1CA277-C4F7-3F3B-919E-73B68D39535E> /System/Library/PrivateFrameworks/CoreEmoji.framework/Versions/A/CoreEmoji
    0x7fff480b7000 -     0x7fff48121ff8  com.apple.CoreNLP (1.0 - 213) <329A9840-CBD8-33A2-A584-2805042284A9> /System/Library/PrivateFrameworks/CoreNLP.framework/Versions/A/CoreNLP
    0x7fff48d3c000 -     0x7fff48d6aff7  com.apple.CSStore (1069.11 - 1069.11) <792520D2-5D81-3867-8DC7-75F8205D5A5B> /System/Library/PrivateFrameworks/CoreServicesStore.framework/Versions/A/CoreServicesStore
    0x7fff54e56000 -     0x7fff54f24ff5  com.apple.LanguageModeling (1.0 - 215) <D3478ED9-A757-355F-A4A0-464E133182D6> /System/Library/PrivateFrameworks/LanguageModeling.framework/Versions/A/LanguageModeling
    0x7fff54f25000 -     0x7fff54f6dff7  com.apple.Lexicon-framework (1.0 - 72) <94910CCB-C386-3912-84A2-1A730BB6EF62> /System/Library/PrivateFrameworks/Lexicon.framework/Versions/A/Lexicon
    0x7fff54f74000 -     0x7fff54f78ff6  com.apple.LinguisticData (1.0 - 353) <23AF4473-4FDB-39D9-8862-7D23276606A9> /System/Library/PrivateFrameworks/LinguisticData.framework/Versions/A/LinguisticData
    0x7fff562c9000 -     0x7fff56315ff7  com.apple.spotlight.metadata.utilities (1.0 - 2074.4) <8957F147-9371-3728-896E-FC517AC7E86E> /System/Library/PrivateFrameworks/MetadataUtilities.framework/Versions/A/MetadataUtilities
    0x7fff56d3c000 -     0x7fff56d46fff  com.apple.NetAuth (6.2 - 6.2) <BA114B8C-BE33-3DBB-BDC8-25423DBBD3A3> /System/Library/PrivateFrameworks/NetAuth.framework/Versions/A/NetAuth
    0x7fff5fa30000 -     0x7fff5fa40ff3  com.apple.TCC (1.0 - 1) <87BE8D5C-5D35-3434-8BDF-1615349C7A21> /System/Library/PrivateFrameworks/TCC.framework/Versions/A/TCC
    0x7fff63c9d000 -     0x7fff63c9fff3  com.apple.loginsupport (1.0 - 1) <FFE90A0A-BEBC-3032-9368-94C016BE0795> /System/Library/PrivateFrameworks/login.framework/Versions/A/Frameworks/loginsupport.framework/Versions/A/loginsupport
    0x7fff6400e000 -     0x7fff64043ff7  libCRFSuite.dylib (48) <CDEA70A4-318B-3990-9AAE-1D7B18132760> /usr/lib/libCRFSuite.dylib
    0x7fff64046000 -     0x7fff64050ff3  libChineseTokenizer.dylib (34) <4D68248B-BD40-32E3-ABCA-CE23BCA0A6A4> /usr/lib/libChineseTokenizer.dylib
    0x7fff640dd000 -     0x7fff640dffff  libDiagnosticMessagesClient.dylib (112) <83F42398-DB41-3BB2-B8A1-10D78C4B5778> /usr/lib/libDiagnosticMessagesClient.dylib
    0x7fff645a5000 -     0x7fff645a6ff3  libSystem.B.dylib (1281) <1DD1BCD2-2C85-3B81-8CAF-224FB042F441> /usr/lib/libSystem.B.dylib
    0x7fff64636000 -     0x7fff64637fff  libThaiTokenizer.dylib (3) <22582C9C-3D32-3832-8925-813E4F2BA8DA> /usr/lib/libThaiTokenizer.dylib
    0x7fff6464f000 -     0x7fff64665fff  libapple_nghttp2.dylib (1.39.2) <9B990E6A-D9EB-3F2C-B7CA-085A47D4BC62> /usr/lib/libapple_nghttp2.dylib
    0x7fff6469a000 -     0x7fff6470cff7  libarchive.2.dylib (72.40.2) <25C00824-621A-3FF1-9B6C-52999B6DDF4E> /usr/lib/libarchive.2.dylib
    0x7fff6483e000 -     0x7fff6483eff3  libauto.dylib (187) <F4B3519A-A4FC-30E0-805C-70C99BA3FDDA> /usr/lib/libauto.dylib
    0x7fff648fc000 -     0x7fff6490cfff  libbsm.0.dylib (60) <E57A0CC6-226D-3529-A23A-D5DD6674DB3E> /usr/lib/libbsm.0.dylib
    0x7fff6490d000 -     0x7fff64919fff  libbz2.1.0.dylib (44) <F3D26C17-BC6E-3A83-A3BB-137343C87303> /usr/lib/libbz2.1.0.dylib
    0x7fff6491a000 -     0x7fff6496dfff  libc++.1.dylib (800.7) <1D42387D-206A-3F06-9B5F-705B83EAC295> /usr/lib/libc++.1.dylib
    0x7fff6496e000 -     0x7fff64982fff  libc++abi.dylib (800.7) <D89ABFBF-3754-35AB-BAEE-FBF14857F79B> /usr/lib/libc++abi.dylib
    0x7fff64983000 -     0x7fff64983ffb  libcharset.1.dylib (59) <EC5B95D9-388B-3351-9192-CD6CDB8C3E0F> /usr/lib/libcharset.1.dylib
    0x7fff64984000 -     0x7fff64995ffb  libcmph.dylib (8) <49C8E101-945E-369B-91D3-2129000DFF35> /usr/lib/libcmph.dylib
    0x7fff64996000 -     0x7fff649aefcf  libcompression.dylib (87) <51724F54-908E-3616-9B64-EAEA2FA813D0> /usr/lib/libcompression.dylib
    0x7fff64c7b000 -     0x7fff64c91fff  libcoretls.dylib (167) <4F054E37-783A-3FCD-B90B-23A0A83621D9> /usr/lib/libcoretls.dylib
    0x7fff64c92000 -     0x7fff64c93ffb  libcoretls_cfhelpers.dylib (167) <62E31BC8-A823-3816-B130-2BB550433203> /usr/lib/libcoretls_cfhelpers.dylib
    0x7fff653bc000 -     0x7fff653bcff3  libenergytrace.dylib (21) <1CE2BD78-F68E-36A3-BCE9-E9EAB78D9FF3> /usr/lib/libenergytrace.dylib
    0x7fff653e4000 -     0x7fff653e6ff7  libfakelink.dylib (149) <528A0ABE-B583-3DA1-8E5B-9CA7E89303DE> /usr/lib/libfakelink.dylib
    0x7fff653e7000 -     0x7fff653ecf4f  libffi.dylib (25) <639F392F-A930-3DB5-A3E5-BB367ED22339> /usr/lib/libffi.dylib
    0x7fff653f5000 -     0x7fff653fafff  libgermantok.dylib (24) <5E297121-22A7-3A2F-92B9-DD3E5C829CC7> /usr/lib/libgermantok.dylib
    0x7fff65405000 -     0x7fff654f5ff7  libiconv.2.dylib (59) <EB71AC8F-EA44-3BEE-A210-2D92251CA51D> /usr/lib/libiconv.2.dylib
    0x7fff654f6000 -     0x7fff6574eff7  libicucore.A.dylib (64243.0.1) <4CBF52D7-7235-34C8-9FF1-8657076B604F> /usr/lib/libicucore.A.dylib
    0x7fff65768000 -     0x7fff65769fff  liblangid.dylib (133) <DCC4FA36-0563-3BD2-AE35-9BAF52F5BD98> /usr/lib/liblangid.dylib
    0x7fff6576a000 -     0x7fff65782ffb  liblzma.5.dylib (16) <7D2522C8-8CBE-32C9-8743-A8F598602F4C> /usr/lib/liblzma.5.dylib
    0x7fff6579a000 -     0x7fff65841fff  libmecab.dylib (883) <FDA0E623-F6F2-3402-B72C-0C60A32C2CC1> /usr/lib/libmecab.dylib
    0x7fff65842000 -     0x7fff65aa2ff9  libmecabra.dylib (883) <2E84458F-5748-3A9B-94F3-CAF3C79E6383> /usr/lib/libmecabra.dylib
    0x7fff65e0e000 -     0x7fff65e3dff7  libncurses.5.4.dylib (57) <7115BD9E-9A53-3538-BA7C-6D71E8C0F9F1> /usr/lib/libncurses.5.4.dylib
    0x7fff65f6c000 -     0x7fff663deff4  libnetwork.dylib (1880.40.26) <D8C5B7F0-04D5-3470-A9C4-EF8B2FF96986> /usr/lib/libnetwork.dylib
    0x7fff6647d000 -     0x7fff664afff6  libobjc.A.dylib (781) <427A292C-9B1A-3E91-951D-739F1F85D9F5> /usr/lib/libobjc.A.dylib
    0x7fff664c2000 -     0x7fff664c6fff  libpam.2.dylib (25) <02ABA04D-5843-3850-82A3-EBECA6FC2CDF> /usr/lib/libpam.2.dylib
    0x7fff664c9000 -     0x7fff664fcff7  libpcap.A.dylib (89.40.2) <C4F9F5BD-BA21-3038-9665-4D298FB7511C> /usr/lib/libpcap.A.dylib
    0x7fff665f2000 -     0x7fff667d3ff7  libsqlite3.dylib (308.4) <9C850BC8-8E63-3534-9268-75830AEA1940> /usr/lib/libsqlite3.dylib
    0x7fff66a24000 -     0x7fff66a27ffb  libutil.dylib (57) <B88D4C21-DAEF-3566-8EAE-5973C51A16FD> /usr/lib/libutil.dylib
    0x7fff66a28000 -     0x7fff66a35fff  libxar.1.dylib (420) <46AAA43E-6FC6-38A8-B696-62143706D33B> /usr/lib/libxar.1.dylib
    0x7fff66a3b000 -     0x7fff66b1dff7  libxml2.2.dylib (32.12) <0DB777D9-F9A1-3921-BFCE-05A000293915> /usr/lib/libxml2.2.dylib
    0x7fff66b21000 -     0x7fff66b49fff  libxslt.1.dylib (16.7) <C30A840F-E7E7-39D5-A633-9C256650B552> /usr/lib/libxslt.1.dylib
    0x7fff66b4a000 -     0x7fff66b5cfff  libz.1.dylib (76) <3EC7A143-AF2D-35EE-9C08-542B2907E3D2> /usr/lib/libz.1.dylib
    0x7fff675c2000 -     0x7fff675c7ff7  libcache.dylib (83) <74F6459D-3606-3ADB-9808-F6B0FE70062D> /usr/lib/system/libcache.dylib
    0x7fff675c8000 -     0x7fff675d3ff7  libcommonCrypto.dylib (60165) <1333752F-5117-3E86-803A-06E166D80C8C> /usr/lib/system/libcommonCrypto.dylib
    0x7fff675d4000 -     0x7fff675dbfff  libcompiler_rt.dylib (101.2) <0437EBEF-8191-3912-A365-D6BB75C7A810> /usr/lib/system/libcompiler_rt.dylib
    0x7fff675dc000 -     0x7fff675e5fff  libcopyfile.dylib (166.40.1) <7FAF372E-BAD5-30E6-A8F2-A3D06B91DC80> /usr/lib/system/libcopyfile.dylib
    0x7fff675e6000 -     0x7fff6767dfef  libcorecrypto.dylib (866.40.8) <AE25C9EE-5D63-3E49-B3AA-D482D35C085A> /usr/lib/system/libcorecrypto.dylib
    0x7fff67794000 -     0x7fff677d5ff0  libdispatch.dylib (1173.40.5) <1FF421B6-4BF0-3B5F-8F56-5ED3B3EFE06F> /usr/lib/system/libdispatch.dylib
    0x7fff677d6000 -     0x7fff6780bfff  libdyld.dylib (733.6) <2FA4B359-624B-337C-9207-CDCF841C2E52> /usr/lib/system/libdyld.dylib
    0x7fff6780c000 -     0x7fff6780cffb  libkeymgr.dylib (30) <7EEF9246-30B4-34DD-8AD6-79679D1A7784> /usr/lib/system/libkeymgr.dylib
    0x7fff6780d000 -     0x7fff67819ff7  libkxld.dylib (6153.41.3) <F9FF90CE-DCB0-3918-882F-6E475A6E244A> /usr/lib/system/libkxld.dylib
    0x7fff6781a000 -     0x7fff6781aff7  liblaunch.dylib (1738.40.10) <CC02D5B3-A95D-3B16-8EE5-D62521CFE899> /usr/lib/system/liblaunch.dylib
    0x7fff6781b000 -     0x7fff67820ff7  libmacho.dylib (949.0.1) <6C3E49B2-594D-3B9D-82DB-C4ABEB9788AB> /usr/lib/system/libmacho.dylib
    0x7fff67821000 -     0x7fff67823ff3  libquarantine.dylib (110.40.3) <A1BCAA32-A194-3DBE-9930-8F49A4AEF284> /usr/lib/system/libquarantine.dylib
    0x7fff67824000 -     0x7fff67825ff7  libremovefile.dylib (48) <DD7AE862-F179-3C07-A4FC-5775DDD4D3E6> /usr/lib/system/libremovefile.dylib
    0x7fff67826000 -     0x7fff6783dfff  libsystem_asl.dylib (377.40.1) <ECE44856-D279-3B5D-A0AA-8BE421D200C4> /usr/lib/system/libsystem_asl.dylib
    0x7fff6783e000 -     0x7fff6783efff  libsystem_blocks.dylib (74) <DC521115-905A-3A0D-9337-C55FACCEA85F> /usr/lib/system/libsystem_blocks.dylib
    0x7fff6783f000 -     0x7fff678c6ff7  libsystem_c.dylib (1353.41.1) <5AD50779-955E-3F56-BCB9-1E14833B3455> /usr/lib/system/libsystem_c.dylib
    0x7fff678c7000 -     0x7fff678cafff  libsystem_configuration.dylib (1061.40.2) <7A2329E0-3C84-3DB7-BC32-E7796C50D621> /usr/lib/system/libsystem_configuration.dylib
    0x7fff678cb000 -     0x7fff678ceff7  libsystem_coreservices.dylib (114) <DF341577-A307-3722-BB24-D4AACEAB19B3> /usr/lib/system/libsystem_coreservices.dylib
    0x7fff678cf000 -     0x7fff678d6fff  libsystem_darwin.dylib (1353.41.1) <E862B5B1-A367-39CA-8319-B2F9DFADF606> /usr/lib/system/libsystem_darwin.dylib
    0x7fff678d7000 -     0x7fff678deffb  libsystem_dnssd.dylib (1096.40.7) <2A9C6F3E-427B-332E-BDD3-D4651306F3DE> /usr/lib/system/libsystem_dnssd.dylib
    0x7fff678df000 -     0x7fff678e0ffb  libsystem_featureflags.dylib (17) <B94C0052-B75A-3169-80AA-5F480588AF6E> /usr/lib/system/libsystem_featureflags.dylib
    0x7fff678e1000 -     0x7fff6792eff7  libsystem_info.dylib (538) <18CC56C5-5325-3375-BF99-FAE7F4F19DDD> /usr/lib/system/libsystem_info.dylib
    0x7fff6792f000 -     0x7fff6795bff7  libsystem_kernel.dylib (6153.41.3) <18918E9C-45BC-3D5A-A6B6-3DBC60EEE2E1> /usr/lib/system/libsystem_kernel.dylib
    0x7fff6795c000 -     0x7fff679a7fe7  libsystem_m.dylib (3178) <895CC10E-5385-37F6-B813-060AD6E6E01C> /usr/lib/system/libsystem_m.dylib
    0x7fff679a8000 -     0x7fff679cfff7  libsystem_malloc.dylib (283.40.1) <F82A587B-44A2-3699-A218-9D3ECEE23D5A> /usr/lib/system/libsystem_malloc.dylib
    0x7fff679d0000 -     0x7fff679ddff3  libsystem_networkextension.dylib (1095.40.22) <7F206A43-A941-3BAB-AE3A-16169F2FE6AB> /usr/lib/system/libsystem_networkextension.dylib
    0x7fff679de000 -     0x7fff679e7fff  libsystem_notify.dylib (241) <C95CC58E-35E7-3828-AA2A-6EED73C12DE5> /usr/lib/system/libsystem_notify.dylib
    0x7fff679e8000 -     0x7fff679f1fe7  libsystem_platform.dylib (220) <0CCDD81F-0891-3400-8A97-6CAC3BBBE2F9> /usr/lib/system/libsystem_platform.dylib
    0x7fff679f2000 -     0x7fff679fcff7  libsystem_pthread.dylib (416.40.3) <53C65598-9E9E-36FF-BDC2-74F228E58C5C> /usr/lib/system/libsystem_pthread.dylib
    0x7fff679fd000 -     0x7fff67a01ffb  libsystem_sandbox.dylib (1217.41.1) <2183D15E-2CFD-3160-80CE-A948F0529005> /usr/lib/system/libsystem_sandbox.dylib
    0x7fff67a02000 -     0x7fff67a04fff  libsystem_secinit.dylib (62.40.2) <D2782294-ACDC-30FF-A794-B4C1B324526B> /usr/lib/system/libsystem_secinit.dylib
    0x7fff67a05000 -     0x7fff67a0cffb  libsystem_symptoms.dylib (1238.40.4) <A44E4405-E22E-32E9-83DE-8C7A82401DA0> /usr/lib/system/libsystem_symptoms.dylib
    0x7fff67a0d000 -     0x7fff67a23ff2  libsystem_trace.dylib (1147.40.13) <376CC435-E656-37D9-A5FF-C49B6E4525E2> /usr/lib/system/libsystem_trace.dylib
    0x7fff67a25000 -     0x7fff67a2affb  libunwind.dylib (35.4) <44448F1F-08E5-3425-ADBA-C38A9E8F90C7> /usr/lib/system/libunwind.dylib
    0x7fff67a2b000 -     0x7fff67a5fff6  libxpc.dylib (1738.40.10) <99CC9436-D653-3762-ADBB-9054EBD1BA2B> /usr/lib/system/libxpc.dylib

External Modification Summary:
  Calls made by other processes targeting this process:
    task_for_pid: 1
    thread_create: 0
    thread_set_state: 0
  Calls made by this process:
    task_for_pid: 0
    thread_create: 0
    thread_set_state: 0
  Calls made by all processes on this machine:
    task_for_pid: 29888591
    thread_create: 0
    thread_set_state: 0

VM Region Summary:
ReadOnly portion of Libraries: Total=442.7M resident=0K(0%) swapped_out_or_unallocated=442.7M(100%)
Writable regions: Total=140.9M written=0K(0%) resident=0K(0%) swapped_out=0K(0%) unallocated=140.9M(100%)
 
                                VIRTUAL   REGION 
REGION TYPE                        SIZE    COUNT (non-coalesced) 
===========                     =======  ======= 
Activity Tracing                   256K        1 
Kernel Alloc Once                    8K        1 
MALLOC                            75.6M       54 
MALLOC guard page                   16K        3 
MALLOC_LARGE (reserved)            640K        2         reserved VM address space (unallocated)
STACK GUARD                          4K        1 
Stack                             16.0M        1 
VM_ALLOCATE                       48.0M      193 
__DATA                            7801K      198 
__DATA_CONST                       256K       41 
__LINKEDIT                       358.1M       69 
__OBJC_RO                         32.0M        1 
__OBJC_RW                         1780K        2 
__TEXT                            84.6M      188 
__UNICODE                          564K        1 
shared memory                       12K        3 
===========                     =======  ======= 
TOTAL                            625.3M      759 
TOTAL, minus reserved VM space   624.7M      759 

Any help is appreciated.
msg356743 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-16 05:36
Sorry but with a non-debug build of Python, it's not very likely someone would  be able to glean much from the macOS crash stack trace here.  You also seem to have a very large number of C extension modules, some apparently from Homebrew and others from other sources ("/Users/USER/*/" ?). Also, I don't understand what you mean by:

"I use homebrew with the latest packages and python3.7.5 is now compiled from source, to avoid dependency problems."

And it seems you were reporting lots of problems on IRC beyond what is reported here.

The best I can suggest is to try to ensure that all binaries you are using are all from one source, for example, Homebrew or conda, and make sure any packages with C extension modules are built using the same python instance.  If the problem persists, you may need to consider installing a debug version of Python or building one from source (./configure --with-pydebug ... ) but for 3.7.x at least that means you will also need to rebuild all packages that have C extension modules as debug mode has a different ABI.

Please feel free to reopen this issue with a reproducible test case if further investigation suggests a problem with Python itself.  Good luck!
msg356767 - (view) Author: László Károlyi (karolyi) Date: 2019-11-16 20:50
Hello,

the only C extension I use is xapian and mysql (with mariadb), xapian comes from their own git repo, and mariadb comes from mysqlclient, both (and everything else I don't know about) compile with the python 3.7.5 I installed within a venv.

I'll try to recompile python with the debug mode enabled, and then reinstall the entire venv to see what debug I get.

Where should I look for debug logs then?

Also, as you might have seen from the irc logs and the pastebin links posted there, python crashes somewhere around reading the django language directories, for a mystical reason. Yet to be found out.
msg356770 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-16 21:08
The stack track is pretty suspicious.  I really don't know why it would be crashing where it shows which seems to be pretty early in the interpreter.  If you haven't already, you might just want to try reinstalling from Homebrew first and try again.  If you do try a debug build and it still crashes, the stack trace should be very explicit about where it is crashing.
msg356772 - (view) Author: László Károlyi (karolyi) Date: 2019-11-16 22:25
So after making the changes, recompiling everything and using `python -X faulthandler backend/manage.py runserver --nothreading --noasgi --noreload` to start django without the autoreloader that hides the crashed process' output, here's what I get:

  File "/usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/ctypes/__init__.py", line 364 in __init__
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/asn1crypto/_perf/_big_num_ctypes.py", line 39 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/asn1crypto/_int.py", line 56 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/asn1crypto/_elliptic_curve.py", line 51 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/asn1crypto/keys.py", line 22 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/cryptography/x509/extensions.py", line 14 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/cryptography/x509/base.py", line 16 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/cryptography/x509/__init__.py", line 8 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1035 in _handle_fromlist
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/backend.py", line 18 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/cryptography/hazmat/backends/openssl/__init__.py", line 7 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 953 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/cryptography/hazmat/backends/__init__.py", line 15 in default_backend
  File "/Users/laszlokarolyi/Work/project/backend/ticketshop/printing/api/v1/qz_signer.py", line 19 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/backend/ticketshop/printing/api/urls.py", line 4 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/backend/ticketshop/urls_api.py", line 11 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "/Users/laszlokarolyi/Work/project/backend/ticketshop/urls.py", line 9 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "<frozen importlib._bootstrap>", line 1006 in _gcd_import
  File "/usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/importlib/__init__.py", line 127 in import_module
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/urls/resolvers.py", line 400 in urlconf_module
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/utils/functional.py", line 35 in __get__
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/urls/resolvers.py", line 407 in url_patterns
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/utils/functional.py", line 35 in __get__
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/urls/resolvers.py", line 256 in check
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/checks/urls.py", line 26 in check_resolver
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/checks/urls.py", line 16 in check_url_config
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/checks/registry.py", line 81 in run_checks
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/management/base.py", line 346 in _run_checks
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/management/base.py", line 359 in check
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 124 in inner_run
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/channels/management/commands/runserver.py", line 66 in inner_run
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/django/core/management/commands/runserver.py", line 111 in run
  ...
fish: 'python -X faulthandler backend/…' terminated by signal SIGABRT (Abort)

Not sure what this is, but it seems something's happening in ctypes.
msg356777 - (view) Author: László Károlyi (karolyi) Date: 2019-11-16 22:55
As I'm triangulating the problem down, I can now reproduce the problem without running django:

python -X faulthandler -c 'from asn1crypto._perf import _big_num_ctypes'

gives the output:

Fatal Python error: Aborted

Current thread 0x0000000117155dc0 (most recent call first):
  File "/usr/local/Cellar/python/3.7.5/Frameworks/Python.framework/Versions/3.7/lib/python3.7/ctypes/__init__.py", line 364 in __init__
  File "/Users/laszlokarolyi/Work/project/venv/lib/python3.7/site-packages/asn1crypto/_perf/_big_num_ctypes.py", line 39 in <module>
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap_external>", line 728 in exec_module
  File "<frozen importlib._bootstrap>", line 677 in _load_unlocked
  File "<frozen importlib._bootstrap>", line 967 in _find_and_load_unlocked
  File "<frozen importlib._bootstrap>", line 983 in _find_and_load
  File "<frozen importlib._bootstrap>", line 219 in _call_with_frames_removed
  File "<frozen importlib._bootstrap>", line 1035 in _handle_fromlist
  File "<string>", line 1 in <module>
fish: 'python -X faulthandler -c 'from…' terminated by signal SIGABRT (Abort)

I took the opportunity to see what library loading fails, by printing self._name and mode before line 365 in ctypes/__init__.py:

It tries to load /usr/lib/libcrypto.dylib with mode 4, and that's where it crashes.
msg356778 - (view) Author: László Károlyi (karolyi) Date: 2019-11-16 23:00
Here's an md5sum of /usr/lib/libcrypto.dylib:

MD5 (/usr/lib/libcrypto.dylib) = d19ca8b227c32d30f92ed0665dfe73d0
msg356779 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-16 23:34
Almost any kind of crash is possible when using ctypes.  But you almost certainly don't want to be loading /usr/lib/libcrypto.dylib.  That's the macOS legacy version which is there only for legacy Apple-supplied third-party components, like the Apple-supplie system Python.  Apple doesn't even supply the header files for the system libssl and libcrypto deliberately so you are not supposed to be able to successfully link with them.  So you should try to figure out why asn1crypto is apparently linked with it.  It should likely be trying to link with a libcrypto provided by Homebrew openssl.  Good luck.
msg356780 - (view) Author: László Károlyi (karolyi) Date: 2019-11-16 23:54
Upon reinstalling openssl with homebrew, I get the following info:

--------------
openssl is keg-only, which means it was not symlinked into /usr/local,
because Apple has deprecated use of OpenSSL in favor of its own TLS and crypto libraries.

If you need to have openssl first in your PATH run:
  echo 'set -g fish_user_paths "/usr/local/opt/openssl/bin" $fish_user_paths' >> ~/.config/fish/config.fish

For compilers to find openssl you may need to set:
  set -gx LDFLAGS "-L/usr/local/opt/openssl/lib"
  set -gx CPPFLAGS "-I/usr/local/opt/openssl/include"

For pkg-config to find openssl you may need to set:
  set -gx PKG_CONFIG_PATH "/usr/local/opt/openssl/lib/pkgconfig"
----------------

So assumingly the system-wide library should be preferred, may it be whatever one.

`/usr/bin/openssl version` says LibreSSL 2.8.3.

Probably I could still link to the homebrew installed SSL using the provided flags, but I'm quite sure this same problem will pop up at a lot of other Catalina users.
msg356784 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2019-11-17 01:03
Sorry, we have strayed from dealing with a Python issue here so, if you need nore assistance, you really should seek help elsewhere.  But a quick web search found this which seems to describe your problem:

https://github.com/wbond/asn1crypto/issues/113
msg356799 - (view) Author: László Károlyi (karolyi) Date: 2019-11-17 11:11
Hey,

the problem normalized after installing the newest version of cryptography, with which I could reproduce the same problem too.

It turned out that asn1crypto wasn't even needed in my project.

Sorry for the inconvenience, and thank you for your help.
History
Date User Action Args
2019-11-17 11:11:47karolyisetmessages: + msg356799
2019-11-17 01:03:59ned.deilysetmessages: + msg356784
2019-11-16 23:54:52karolyisetmessages: + msg356780
2019-11-16 23:34:26ned.deilysetstatus: open -> closed

messages: + msg356779
2019-11-16 23:00:14karolyisetmessages: + msg356778
2019-11-16 22:55:00karolyisetstatus: closed -> open

messages: + msg356777
2019-11-16 22:25:37karolyisetmessages: + msg356772
2019-11-16 21:08:14ned.deilysetstatus: open -> closed
2019-11-16 21:08:05ned.deilysetstatus: pending -> open

messages: + msg356770
2019-11-16 20:50:27karolyisetstatus: closed -> pending

messages: + msg356767
2019-11-16 05:36:21ned.deilysetstatus: open -> closed
resolution: third party
messages: + msg356743

stage: resolved
2019-11-15 16:47:28karolyicreate